import { SNSEvent, SNSMessage, SQSEvent, SQSRecord, EventBridgeEvent } from 'aws-lambda';
import SQS from 'aws-sdk/clients/sqs';
declare type LambdaEvent = SNSEvent | SQSEvent | EventBridgeEvent<string, Record<string, unknown>>;
export default class Lambda {
	private readonly fns;
	constructor();
	sns: (topicArn: string, processSnsMessage: (message: SNSMessage) => Promise<void>) => void;
	sqs: (queueArn: string, processSqsRecord: (record: SQSRecord) => Promise<void>) => void;
	sqsFifo: (queueArn: string, processSqsRecord: (record: SQSRecord) => Promise<void>) => void;
	scheduledEvent: (ruleArn: string, processScheduledEvent: () => Promise<void>) => void;
	eventBridge: (source: string, processEventBridge: (detail: Record<string, unknown>) => Promise<void>) => void;
	handler: (event: LambdaEvent) => Promise<unknown>;
	sqsDeleteMessageBatch: (queueArn: string, fulfilledRecords: SQS.DeleteMessageBatchRequestEntry[]) => Promise<void>;
}
export {};
